"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.router = exports.Router = void 0;
const constants_1 = require("./constants");
const container_1 = require("./container");
class Router {
    constructor(options) {
        this.options = options;
    }
    get router() {
        var _a, _b;
        if ((_a = this.options) === null || _a === void 0 ? void 0 : _a.router) {
            return (_b = this.options) === null || _b === void 0 ? void 0 : _b.router;
        }
        return container_1.container.get(constants_1.ROUTER);
    }
    push(path, state) {
        this.router.push(path, state);
    }
    replace(path, state) {
        this.router.replace(path, state);
    }
    go(count) {
        this.router.go(count);
    }
    goBack() {
        this.router.goBack();
    }
}
exports.Router = Router;
exports.router = new Router();
