import { LOGGER, MESSAGE, NOTIFICATION, ROUTER, STORE } from './constants';
export declare type ContainerServiceKey = typeof LOGGER | typeof ROUTER | typeof STORE | typeof MESSAGE | typeof NOTIFICATION;
export declare class Container {
    private store;
    register(key: ContainerServiceKey, getter: () => any): void;
    get(key: ContainerServiceKey): any;
    has(key: ContainerServiceKey): boolean;
}
export declare const container: Container;
